#pragma once

namespace Mix{ namespace Dynamics{

	class Joint
	{
	private:
		Boolean m_bInWorld; //ワールド( Mix::Dynamics::World )によって更新される

	protected:
		UInt32 m_DebugDrawFlags;
		Float32 m_DebugDrawFrameMinSize;
		Float32 m_DebugDrawLimitScaling;

	protected:
		Joint( void );
		virtual ~Joint( void );

	public:
		Boolean IsInWorld( void ) const;

		virtual btTypedConstraint* Bullet_GetTypedConstraintPtr( void ) const = 0;

		friend class World;
	};

}}
